org.eclipse.jgit.diff

## Enum DiffEntry.Side

- java.lang.Object
- - java.lang.Enum<DiffEntry.Side>
  - - org.eclipse.jgit.diff.DiffEntry.Side

All Implemented Interfaces:
  Serializable, Comparable<DiffEntry.Side>

Enclosing class:
  DiffEntry

    public static enum DiffEntry.Side
    extends Enum<DiffEntry.Side>

Specify the old or new side for more generalized access.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`NEW` The new side of a DiffEntry.
`OLD` The old side of a DiffEntry.

### Method Summary

All Methods Static Methods Concrete Methods
`static DiffEntry.Side` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DiffEntry.Side[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OLD

    public static final DiffEntry.Side OLD

The old side of a DiffEntry.

#### NEW

    public static final DiffEntry.Side NEW

The new side of a DiffEntry.

### Method Detail

#### values

    public static DiffEntry.Side[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DiffEntry.Side c : DiffEntry.Side.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DiffEntry.Side valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null